Bug 249920 - Gnucash prints multiple pages on a single page
Summary: Gnucash prints multiple pages on a single page
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-27 22:13 UTC by Paul Dickson
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 22:31:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A treasurer's report that shows the problem. (45.08 KB, application/pdf)
2007-07-27 22:13 UTC, Paul Dickson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 446894 None None None Never

Description Paul Dickson 2007-07-27 22:13:28 UTC
Description of problem:
On a multiple column report that spans at least three pages, gnucash sends
output to printer, pdf, and ps that writes to just one page, incompletely
overwriting the previous pages.

Version-Release number of selected component (if applicable):
gnucash-2.2.0-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. Print report that take more than one page.
2.
3.
  
Actual results:
All pages get written to same, one, page.

Expected results:
Three pages of output.

Additional info:
I'm attaching the PDF output.

This is likely not a problem with Guncash, but one of its printing libraries.

Comment 1 Paul Dickson 2007-07-27 22:13:28 UTC
Created attachment 160145 [details]
A treasurer's report that shows the problem.

Comment 2 Bill Nottingham 2007-07-27 23:54:11 UTC
gnucash uses gtkhtml3 to generate reports to print. What version of gtkhtml3 do
you have installed?

Comment 3 Paul Dickson 2007-08-11 21:11:14 UTC
gtkhtml3-3.15.6.1-1.fc8

And I verified that it's still doing it.


Comment 4 Matthew Barnes 2007-08-21 22:31:13 UTC
This should be fixed in gtkhtml3-3.15.90-2.fc8.

I haven't verified it with GnuCash, but I was able to reproduce the same problem
using Evolution and used that to verify the solution.  The same patch also fixes
the extra-blank-page-at-the-end bug that you may have noticed.  See [1] for details.

Feel free to reopen this if GnuCash is still giving you problems.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=446894#c23


Note You need to log in before you can comment on or make changes to this bug.